Fingers

Functions
Fingers

Elementary is designed to be finger-friendly for touchscreens, and so in addition to scaling for display resolution, it can also scale based on finger "resolution" (or size). More...

## Functions
Evas_Coord | elm_config_finger_size_get (void)
| Get the configured "finger size". More...
void | elm_config_finger_size_set (Evas_Coord size)
| Set the configured finger size. More...
void | elm_coords_finger_size_adjust (int times_w, Evas_Coord *w, int times_h, Evas_Coord *h)
| Adjust size of an element for finger usage. More...

## Detailed Description

Elementary is designed to be finger-friendly for touchscreens, and so in addition to scaling for display resolution, it can also scale based on finger "resolution" (or size).

You can then customize the granularity of the areas meant to receive clicks on touchscreens.

Different profiles may have pre-set values for finger sizes.

This example contemplates some of these functions.

## Function Documentation

## ◆ elm_config_finger_size_get()

Evas_Coord elm_config_finger_size_get | ( | void |  | ) |

Get the configured "finger size".

Returns
  The finger size

This gets the globally configured finger size, in pixels

Referenced by elm_coords_finger_size_adjust(), elm_fileselector_button_is_save_get(), and elm_fileselector_thumbnail_size_set().

## ◆ elm_config_finger_size_set()

void elm_config_finger_size_set | ( | Evas_Coord | size | ) |

Set the configured finger size.

This sets the globally configured finger size in pixels

Parameters

  size | The finger size

## ◆ elm_coords_finger_size_adjust()

void elm_coords_finger_size_adjust | ( | int | times_w,
|  | Evas_Coord * | w,
|  | int | times_h,
|  | Evas_Coord * | h
| ) |  |

Adjust size of an element for finger usage.

Parameters

  times_w | How many fingers should fit horizontally
  w | Pointer to the width size to adjust
  times_h | How many fingers should fit vertically
  h | Pointer to the height size to adjust

This takes width and height sizes (in pixels) as input and a size multiple (which is how many fingers you want to place within the area, being "finger" the size set by elm_config_finger_size_set()), and adjusts the size to be large enough to accommodate the resulting size – if it doesn't already accommodate it. On return the `w` and `h` sizes pointed to by these parameters will be modified, on those conditions.

Note
  This is kind of low level Elementary call, most useful on size evaluation times for widgets. An external user wouldn't be calling, most of the time.

References elm_config_finger_size_get().